> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Supply Breakdown by ID

> To query the supply breakdown of a coin based on provided coin ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

export const PlanExclusivity = ({tier}) => {
  if (tier === "enterprise") {
    return <Callout icon="crown" color="#FFC107" iconType="regular">
        <strong>Enterprise Only</strong><br />This endpoint is exclusively available to <strong>Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/enterprise">→ Contact sales</a>
      </Callout>;
  }
  if (tier === "analyst_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Analyst Plan and Above</strong><br />This endpoint is only available to <strong>Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  if (tier === "basic_above") {
    return <Callout icon="briefcase" color="#FFC107" iconType="regular">
        <strong>Basic Plan and Above</strong><br />This endpoint is only available to <strong>Basic, Analyst, Lite, Pro, and Enterprise</strong> plan.<br /><a href="https://www.coingecko.com/en/api/pricing">→ View pricing</a>
      </Callout>;
  }
  throw new Error(`PlanExclusivity: invalid tier "${tier}". Use "basic_above", "analyst_above", or "enterprise".`);
};

#### Notes

* Find a coin's API ID on its [CoinGecko](https://www.coingecko.com) page, via [Coins List](/reference/coins-list), or this [Google Sheet](https://docs.google.com/spreadsheets/d/1wTTuxXt8n9q7C4NDXqQpI3wpKu1_5bGVmP9Xz0XGSyU/edit?usp=sharing).
* Check the `has_supply_breakdown` field from [/coins/{id}](/reference/coins-id) to verify if supply breakdown data is available for a coin.
* When `non_circulating_wallets.anomaly` is `true`, it indicates an unreliable balance update. Circulating supply calculations will fall back to the last known-good balance until manually reviewed.

<PlanExclusivity tier="analyst_above" />

<CacheInfo rate="60 seconds" />


## OpenAPI

````yaml openapi-specs/pro-api.json get /coins/{id}/supply_breakdown
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/{id}/supply_breakdown:
    get:
      summary: Coin Supply Breakdown by ID
      description: To query the supply breakdown of a coin based on provided coin ID
      operationId: coins-id-supply-breakdown
      parameters:
        - name: id
          in: path
          required: true
          description: |-
            Coin ID. 
            *refers to [`/coins/list`](/reference/coins-list).
          schema:
            type: string
            default: uniswap
      responses:
        '200':
          description: Coin supply breakdown data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinSupplyBreakdown'
              example:
                id: uniswap
                symbol: uni
                name: Uniswap
                supply_data:
                  total_supply: 894182420.0329479
                  circulating_supply: 622047561.5538775
                  outstanding_supply: 0
                  non_circulating_supply: 272134858.4790704
                  last_updated: '2026-06-15T04:23:07.552Z'
                non_circulating_wallets:
                  - address: '0x1a9C8182C09F50C8318d769245beA52c32BE35BC'
                    label: UNI Timelock
                    balance: 272134858.4790704
                    percentage_of_total_supply: 30.4329777849204
                    anomaly: false
                    last_updated: '2026-06-14T12:10:34.565Z'
components:
  schemas:
    CoinSupplyBreakdown:
      type: object
      required:
        - id
        - symbol
        - name
        - supply_data
        - non_circulating_wallets
      properties:
        id:
          type: string
          description: Coin ID
        symbol:
          type: string
          description: Coin symbol
        name:
          type: string
          description: Coin name
        supply_data:
          type: object
          description: Supply data
          properties:
            total_supply:
              type: number
              description: Total supply
            circulating_supply:
              type: number
              description: Circulating supply
            outstanding_supply:
              type: number
              description: Outstanding supply
            non_circulating_supply:
              type: number
              description: Non-circulating supply
            last_updated:
              type: string
              description: Last updated timestamp in ISO 8601 format
        non_circulating_wallets:
          type: array
          description: List of non-circulating wallets
          items:
            type: object
            properties:
              address:
                type: string
                description: Wallet address
              label:
                type: string
                description: Wallet label
              balance:
                type: number
                description: Wallet balance
              percentage_of_total_supply:
                type: number
                description: Percentage of total supply held by this wallet
              anomaly:
                type: boolean
                description: >-
                  Indicates an unreliable balance update; when true, circulating
                  supply falls back to the last known-good balance
              last_updated:
                type: string
                description: Last updated timestamp in ISO 8601 format
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_pro_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````